IntlCalendar::after
IntlCalendar::clear
IntlCalendar
PHP Manual

# IntlCalendar::before

Whether this objectʼs time is before that of the passed object

### Description

public bool IntlCalendar::before ( IntlCalendar `$calendar` )

Returns whether this objectʼs time precedes the argumentʼs time.

### Parameters

`calendar`

  The calendar whose time will be checked against this objectʼs time.

### Return Values

Returns `TRUE` if this objectʼs current time is before that of the `calendar` argumentʼs time. Returns `FALSE` otherwise. Also returns `FALSE` on failure. You can use exceptions or intl_get_error_code to detect error conditions.